<?php

//----------- USER VARIABLES ------------
$myWebHome = IPS_GetKernelDir()."web\\calls";
$weblogFilePath = $myWebHome."";

$nbOfDaysBefore = 5;


// ------------------ HEADER --------------------------
// Use of "header()" would be better but I like it like that.
echo "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Strict//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd'>\r\n";
echo "<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='de' lang='de'>\r\n";

echo "<head>\r\n";
echo "<title> IPS - Calls </title>\r\n";
// Set to no cache and expiration date in the past
echo "<meta http-equiv='Content-Type' content='text/html; charset={CHARSET}' />\r\n";
echo "<meta http-equiv='Pragma' content='no-cache' />\r\n";
echo "<meta http-equiv='cache-control' content='no-cache'>\r\n";
echo "<meta http-equiv='expires' content='".gmdate('D, d M Y H:i:s', mktime(date('H')-1, date('i'), date('s'), date('m'), date('d'), date('Y')))." GMT'>\r\n";

// STYLESHEET and JAVASCRIPT
// Include your own style sheet and javascript here
// Note: including style sheets with <link rel...> does not seem to work in the IPS Webserver
echo "<style>";

// include("your_style_sheet.css");

echo "</style>";
echo "</head>\r\n";


if (isset($_GET['date'])) $thisDate = $_GET['date'];

// ------------------- BODY -----------------------------
echo "<body>\r\n";

echo "<div style=' text-align: center;'>\r\n";

$day = (isset($thisDate)) ? $thisDate : date("Ymd");
$dateTitle = date("D, d/m", mktime(0, 0, 0, substr($day,4,2), substr($day,6,2), substr($day,0,4)));

echo "<h1>CALLS - ".$dateTitle."</h1>\r\n";

echo "<table id='table_results' border='0' cellpadding='2' cellspacing='1' style=' color: #222222; font-size: 12px; align: center;'><tr>\r\n";
echo "<th bgcolor='#999999' style='color : #FF8000; width : 250px; font-size: 14px;' align='center'>Date</th>\r\n";
echo "<th bgcolor='#999999' style='color : #FF8000; width : 200px; font-size: 14px;' align='center'>Caller</th>\r\n";
echo "<th bgcolor='#999999' style='color : #FF8000; width : 350px; font-size: 14px;' align='center'>Name</th>\r\n";
echo "<th bgcolor='#999999' style='color : #FF8000; width : 150px; font-size: 14px;' align='center'>Message</th>\r\n";
echo "</tr>\r\n";

$callLogFile = "$weblogFilePath\\callsLog_".$day.".php";

if (file_exists("$callLogFile")) {
	include("$callLogFile");
} else {
	echo "<tr><td colspan='4' align='center' style=' font-size: 14px;'><b>No Messages</b></td></tr>\r\n";	
}
echo "</table>\r\n";

echo "<br/>";

// Links to call logs for previous days
for ($daysIter = $nbOfDaysBefore; $daysIter > 0; $daysIter--) {
	$aDate = date("Ymd", mktime(0, 0, 0, date("m")  , date("d")-$daysIter, date("Y")));
	echo "<a style=' font-size: 14px;' href='showcalls.php?date=".$aDate."'>-".$daysIter."</a> &nbsp;\r\n";
}
// adding no date GET header shows calls for today by default
echo "<a style=' font-size: 14px;' href='showcalls.php'>Today</a> &nbsp;\r\n";
echo "<br/>\r\n";

echo "</div>\r\n";


	
echo "</body>\r\n";
echo "</html>\r\n";

?>